Details

    • Type: New Feature
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 4.5.0
    • Fix Version/s: 5.0.0
    • Component/s: None
    • Support Ticket IDs:

      Description

      The OpenIG 4.5 documentation states support for:

      • Tomcat 7 or 8

      At this time however that does not include Tomcat 8.5 as a "supported" web container. Moreover Tomcat 8.0 has been "superseded" by Tomcat 8.5.
      http://tomcat.apache.org/whichversion.html

      There are 2 choices and both are not ideal:

      1.) Deploy on Tomcat 8.5 however If an issue is discovered say in Production one would need to reproduce the issue in a "supported" container (i.e. Tomcat 8.0) which is quite simply not worth the risk vs. reward.

      2.) Deploy on Tomcat 8.0 knowing full well that it has been "superseded" by Tomcat 8.5 and will not be supported sooner vs. later.

      So 1). is the obvious choice today however, I sincerely hope that ForgeRock steps up plans to include Tomcat 8.5 as a "supported" web container.

      --Nikolaos

        Attachments

          Activity

            People

            • Assignee:
              guillaume.sauthier Guillaume Sauthier
              Reporter:
              nikolaosGAC Nikolaos Giannopoulos
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: